org.apache.poi.hsmf.datatypes

## Class PropertyValue

- java.lang.Object
- - org.apache.poi.hsmf.datatypes.PropertyValue

- Direct Known Subclasses:
    ChunkBasedPropertyValue, PropertyValue.BooleanPropertyValue, PropertyValue.CurrencyPropertyValue, PropertyValue.DoublePropertyValue, PropertyValue.FloatPropertyValue, PropertyValue.LongLongPropertyValue, PropertyValue.LongPropertyValue, PropertyValue.NullPropertyValue, PropertyValue.ShortPropertyValue, PropertyValue.TimePropertyValue

      public class PropertyValue
      extends java.lang.Object

  An instance of a `MAPIProperty` inside a `PropertiesChunk`. Where the `Types` type is a fixed length one, this will contain the actual value. Where the `Types` type is a variable length one, this will contain the length of the property, and the value will be in the associated `Chunk`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PropertyValue.BooleanPropertyValue`
    `static class` | `PropertyValue.CurrencyPropertyValue` signed 64-bit integer that represents a base ten decimal, with four digits to the right of the decimal point
    `static class` | `PropertyValue.DoublePropertyValue`
    `static class` | `PropertyValue.FloatPropertyValue`
    `static class` | `PropertyValue.LongLongPropertyValue`
    `static class` | `PropertyValue.LongPropertyValue`
    `static class` | `PropertyValue.NullPropertyValue`
    `static class` | `PropertyValue.ShortPropertyValue`
    `static class` | `PropertyValue.TimePropertyValue` 64-bit integer specifying the number of 100ns periods since Jan 1, 1601

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyValue(MAPIProperty property, long flags, byte[] data)`
    `PropertyValue(MAPIProperty property, long flags, byte[] data, Types.MAPIType actualType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Types.MAPIType` | `getActualType()`
    `long` | `getFlags()` Get the raw value flags.
    `MAPIProperty` | `getProperty()`
    `byte[]` | `getRawValue()`
    `java.lang.Object` | `getValue()`
    `void` | `setRawValue(byte[] value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### data

          protected byte[] data

  - ### Constructor Detail

    - #### PropertyValue

          public PropertyValue(MAPIProperty property,
                               long flags,
                               byte[] data)

    - #### PropertyValue

          public PropertyValue(MAPIProperty property,
                               long flags,
                               byte[] data,
                               Types.MAPIType actualType)

  - ### Method Detail

    - #### getProperty

          public MAPIProperty getProperty()

    - #### getFlags

          public long getFlags()

      Get the raw value flags. TODO Also provide getters for the flag meanings

    - #### getValue

          public java.lang.Object getValue()

    - #### getRawValue

          public byte[] getRawValue()

    - #### getActualType

          public Types.MAPIType getActualType()

    - #### setRawValue

          public void setRawValue(byte[] value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.